+++
title = "About"
description = "About page"
type = "about"
date = "05-07-2020"
+++

# About

This website/blog will contain my tutorials on certain programs I use on GNU/Linux. It will also contain documentation on certain scripts I created while using my system.

These are mainly references for myself on the programs I've used before.

This site has also transformed into a place with my CTF/Code Challenge Writeups for future references.

## Business Card

```bash
curl -sL https://devblog.periodicc.com/business_card
```

# System Information

![Desktop Screenshot](/gallery/Mysterio/EOS_1.png)

These are my system information on my daily driver.

- Distribution: EndeavourOS
- Window Manager: KDE

# Programming

A hobbyist programmer with interests in:

- Python
- Markdown
- LaTex
- Java
- C
- Bash
- ASP.Net

# Linux & System Administration

I have used a few Linux distributions in the past, mainly:

- Debian Variants

  - Debian
  - Proxmox
  - Ubuntu
  - Raspbian
  - Linux mint
  - Kali Linux
  - Parrot Security OS
  - Tails OS

- Arch Variants

  - EndeavourOS
  - Arch Linux _i use arch btw_
  - Manjaro

- RHEL Variants

  - CentOS

- BSD Variants
  - FreeNAS

# Script Development

I have developed scripts(Python/Bash) for some of these distributions for automation, which I may share some of the scripts and its use cases in this site. In the screen shot above, there are mini scripts used to display items, for example, the status bar has scripts to display time, volume or music. The lyrics viewer is also another script I developed as I couldn't find any programs online that fits my use case.

### Bash Scripting

Some of the bash scripts I've developed can be found in my dotfiles [here](https://gitlab.com/devoalda/dotdrop-dotfiles/-/tree/master/dotfiles/local/bin). They are some installation scripts, scripts I use daily and scripts I found on the Internet that was useful to my use cases.

_Do check it out!_

# Text Editors/IDEs

Over the years I've spent developing scripts and programs, I have used text editors for different Languages. Here are some of the editors I used in the past

- Notepad++
  - Web Development(HTML,CSS,JS)
- Eclipse
  - Java & Javafx Development
- IntelliJ IDEA
  - Java & Javafx Development
- Visual Studio
  - C#, ASP.Net
- Pycharm
  - Python Scripting
- Visual Studio Code
  - Python & Bash Scripting
- Vim/Neovim
  - Python & Bash Scripting
  - Java Terminal Applications
  - Golang Terminal Applications

# Virtualization/Virtual Machine Managers

Deploying Virtual Machines are an essential part to computer science, as it allows us to test and deploy applications in a "containerized" environment.
Many of the Virtual Machines I've used/deployed are used for penetration testing, Malware Analysis or just for fun! Virtual Machines allow us to use certain programs from another OS without destroying our base OS. Here are some of the virtualization technologies I have used in the past:

- Vmware player/workstation
- EXSI
- VirtualBox
- Proxmox
- FreeNAS(bhyve)

# Hardware

Here are some of the computer hardware which I have played with in the past:

- Raspberry Pi 3b+ & 4b

**Thanks for checking out my website!**

# Credits

{{< expand "Credits" >}}
[Curlable Business Card](https://github.com/tallguyjenks/BusinessCard)
{{< /expand >}}
